using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            string str = Console.ReadLine();
            string[] brojevi = str.Split(' ');
            string max1 = uporedi(brojevi[0], brojevi[1]);
            string max2 = uporedi(max1, brojevi[2]);
            string kraj;
            if(max2 == max1)
            {
                string max3;
                if (max1 == brojevi[0])
                {
                    max3 = uporedi(brojevi[1], brojevi[2]);
                    if(max3 == brojevi[1])
                    {
                        kraj = max1 + max3 + brojevi[2];
                    }
                    else
                    {
                        kraj = max1 + max3 + brojevi[1];
                    }
                }
                else
                {
                    max3 = uporedi(brojevi[0], brojevi[2]);
                    if (max3 == brojevi[0])
                    {
                        kraj = max1 + max3 + brojevi[2];
                    }
                    else
                    {
                        kraj = max1 + max3 + brojevi[0];
                    }
                }
            }
            else
            {
                if(max1 == brojevi[0])
                {
                    kraj = max2 + max1 + brojevi[1];
                }
                else
                {
                    kraj = max2 + max1 + brojevi[0];
                }
            }
            Console.WriteLine(kraj);

        }

        static string uporedi(string br1, string br2)
        {
            int minduz = Math.Min(br1.Length, br2.Length);
            for(int i = 0;i<minduz;i++)
            {
                if (br1[i] > br2[i])
                {
                    return br1;
                }
                else if(br1[i] < br2[i])
                    return br2;
            }
            if (br1.Length > br2.Length)
            {
                return br1;
            }
            else
                return br2;
        }
    }

}